<?php

namespace app\models;

use Yii;
use DateTime;
use DateInterval;
use yii\base\Model;
use app\models\Paiement;
use yii\httpclient\Client;
use yii\helpers\VarDumper;

/**
 * AbonnementForm is the model behind the Subscription (user/abonnement) form.
 */
class PaiementForm extends Model
{
	public $transaction_id;

    /**
     * @return array the validation rules.
     */
    public function rules()
    {
        return [
	        [['transaction_id'], 'trim'],
	        [['transaction_id'], 'required'],
	        ['transaction_id', 'string', 'length' => 20],
      //    ['transaction_id', 'fetch'],
        	// ['transaction_id', 'exist', 'targetAttribute' => 'transaction_id',
          //                             'targetClass' => 'common\models\Paiement',
          //                             'filter' => ['statut' => Paiement::STATUS_PENDING,
					// 																				 'user' => $myUser->id],
					// 													  'message' => 'Cet ID de Transaction n\'existe pas'],
        ];
    }

    /**
     * @return array customized attribute labels
     */
    public function attributeLabels()
    {
        return [
        	'transaction_id' => Yii::t('app','ID Transaction'),
        ];
    }

		/**
		* Vérifie l'existence de l'ID transaction sur le serveur et récupère les données
    * de l'opération le cas échéant
		* @return Paiement le paiement, s'il est trouvé
		*/
    public function fetch()
    {
        $client = new Client();
        $response = $client->createRequest()
            ->setMethod('POST')
            ->setUrl(MPAY_API_BASE_URL.'paiement/search')
            ->setData(['transaction_id' => $this->transaction_id])
            ->addHeaders(['Authorization' => 'Basic ' . base64_encode(API_ACCESS_KEY . ':')])
            ->send();
        if ($response->isOk) {
            //on sauvegarde l'id en provenance de l'API, et on l'efface afin que l'objet
            //Paiement génère le sien au moment de la sauvegarde
            $remoteId= $response->data['id'];
            $fields=array();
            foreach ((new Paiement())->attributes as $fieldname => $fieldvalue) {
              $fields[$fieldname] = $response->data[$fieldname];
            }
            $paiement= new Paiement($fields);
            $paiement->id=null;
            //On met le statut à OK.
            //TODO Vérifier que l'opération a abouti
            $client->createRequest()
                ->setMethod('POST')
                ->setUrl(MPAY_API_BASE_URL.'paiement/statut')
                ->setData(['id' => $remoteId, 'statut' => 'OK'])
                ->addHeaders(['Authorization' => 'Basic ' . base64_encode(API_ACCESS_KEY . ':')])
                ->send();
            return $paiement;
        } else { //paiement not found
						$this->addError('transaction_id', Yii::t('app', 'Cet ID de transaction n\'existe pas.'));
						return false;
        }
    }

}
