<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\web\View;
use yii\bootstrap\Alert;

/* @var $this yii\web\View */
/* @var $paiementForm app\models\PaiementForm */
/* @var $return_url string */
/* @var $amount integer */

$return_url=str_replace('%ID%', '', $return_url);

$initialiseJsCode='
function toggleDisplayInstructions() {
  toggleDisplay("instructions-excerpt");
  toggleDisplay("instructions");
}
';
$this->registerJs($initialiseJsCode,View::POS_HEAD);


$this->title = 'Page de Paiement MPay';
?>
<div class="registration">
    <?php $form = ActiveForm::begin(['id'=>'subscription-form']); ?>
    <div id="instructions-excerpt" style="display: block;">
      <a class="btn btn-primary" onclick="toggleDisplayInstructions(); return false;">Afficher les instructions compl&egrave;tes</a>
      <p>Vous pouvez vous abonner d&apos;une touche sur les boutons suivants:</p>
        <div class="row buttons">
          <div class="col-md-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23"><?= $amount ?>F - Mobicash</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23">2e option - Mobicash</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23">3e option - Mobicash</a></div>
        </div>
        <div class="row buttons">
          <div class="col-md-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23"><?= $amount ?>F - Orange Money</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23">2e option - Orange Money</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23">3e option - Orange Money</a></div>
        </div>
    </div>
    <div id="instructions" style="display: none;">
        <a class="btn btn-primary" onclick="toggleDisplayInstructions()">Afficher les instructions r&eacute;sum&eacute;es</a>
        <p>Pour acc&eacute;der &agrave; toutes les fonctionalit&eacute;s de <?= Yii::$app->name ?>,
          vous pouvez vous abonner aux tarifs suivants:</p>
        <ul>
          <li><?= $amount ?>F pour 1 mois</li>
          <li>2e option</li>
          <li>3e option</li>
        </ul>
        <p>Si vous d&eacute;tenez un code promo, veuillez l&apos;enregistrer au pr&eacute;alable
          dans les param&egrave;tres de votre compte.</p>
        <p>Les paiements se font via Mobicash (num&eacute;ro destinataire: <strong><?= NUMBER_TELMOB ?></strong>) ou Orange Money
          (num&eacute;ro destinataire: <strong><?= NUMBER_ORANGE ?></strong>)
          <em>(<strong>Attention:</strong> les frais d&apos;op&eacute;rateur s&apos;appliquent)</em>
        </p>

        <h2>Mobicash</h2>
        <p>Si vous utilisez Mobicash, vous pouvez taper les boutons suivants (ensuite faire OK
          pour lancer l&apos;appel) et confirmer avec votre code secret:</p>

        <div class="row buttons">
          <div class="col-md-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23">Mobicash</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23">2e option - Mobicash</a></div>
          <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>%23">3e option - Mobicash</a></div>
        </div>
        <p>Si les boutons ne r&eacute;pondent pas (sur un ordinateur de bureau par exemple),
          vous pouvez copier le code USSD suivant sur votre t&eacute;l&eacute;phone:
          <strong>*555*2*1*<?= NUMBER_TELMOB ?>*<?= $amount ?>#</strong>
          et appuyer sur la touche OK</p>
        <h2>Orange Money</h2>
        <p>Si vous optez pour Orange Money, utilisez les boutons ci-dessous:</p>
          <div class="row buttons">
            <div class="col-md-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23">Orange Money</a></div>
            <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23">2e option - Orange Money</a></div>
            <div class="col-md-4"><a class="btn btn-success disabled" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>%23">3e option - Orange Money</a></div>
          </div>
        <p>Encore une fois, sur un ordinateur de bureau, les bouton ne fonctionnent pas,
          mais vous pouvez vous-m&ecirc;me ex&eacute;cuter le code USSD suivant sur votre
          t&eacute;l&eacute;phone: <strong>*144*2*1*<?= NUMBER_ORANGE ?>*<?= $amount ?>#</strong>
          suivi de OK</p>
        <h2>&nbsp;</h2>
        <p>Quel que soit le service utilis&eacute; (Mobicash ou Orange Money),
          l&apos;op&eacute;rateur vous envoie un SMS de confirmation
          avec l&apos;identifiant de la transaction (de la forme <em>XX123456.1234.X12345</em>),
          identifiant qu&apos;il vous faut entrer ci-dessous:</p>
    </div>
    <div class='row'>
      <div class='col-md-6'>
        <?= $form->field($paiementForm, 'transaction_id')->textInput() ?>

        <div class="form-group">
            <?= Html::submitButton(Yii::t('app', 'Envoyer'), ['class' => 'btn btn-primary']) ?>
            <a class="btn btn-warning" href="<?= $return_url ?>">Retour</a>
        </div>
      </div>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- register -->
